Skip to content

List this tenant's integration connections

GET
/v1/integration-connections
curl --request GET \
--url 'https://api.vocapable.com/v1/integration-connections?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
provider
Any of:
string

Filter on provider. Comma-separated values are OR.

provider.gte
Any of:
string

Filter on provider with the gte operator.

provider.lte
Any of:
string

Filter on provider with the lte operator.

provider.gt
Any of:
string

Filter on provider with the gt operator.

provider.lt
Any of:
string

Filter on provider with the lt operator.

provider.in
Any of:
string

Filter on provider with the in operator.

status
Any of:
string

Filter on status. Comma-separated values are OR.

status.gte
Any of:
string

Filter on status with the gte operator.

status.lte
Any of:
string

Filter on status with the lte operator.

status.gt
Any of:
string

Filter on status with the gt operator.

status.lt
Any of:
string

Filter on status with the lt operator.

status.in
Any of:
string

Filter on status with the in operator.

Successful Response

Media typeapplication/json
CursorPage[IntegrationConnectionSummary]
object
data
required
Data
Array<object>
IntegrationConnectionSummary

A connection as its tenant sees it - token material is structurally absent.

object
id
required
Id
string
provider
required
Provider
string
external_account_id
Any of:
string
scopes
Scopes
Array<string>
status
required
Status
string
Allowed values: active expired revoked error
last_refreshed_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"status": "active"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}